# IRremoteESP8266: src/ir_JVC.cpp File Reference

ir_JVC.cpp File Reference

Support for JVC protocols. Originally added by Kristian Lauszus Thanks to zenwheel and other people at the original blog post. More...

## Variables

const uint16_t | kJvcTick = 75
const uint16_t | kJvcHdrMarkTicks = 112
const uint16_t | kJvcHdrMark = kJvcHdrMarkTicks * kJvcTick
const uint16_t | kJvcHdrSpaceTicks = 56
const uint16_t | kJvcHdrSpace = kJvcHdrSpaceTicks * kJvcTick
const uint16_t | kJvcBitMarkTicks = 7
const uint16_t | kJvcBitMark = kJvcBitMarkTicks * kJvcTick
const uint16_t | kJvcOneSpaceTicks = 23
const uint16_t | kJvcOneSpace = kJvcOneSpaceTicks * kJvcTick
const uint16_t | kJvcZeroSpaceTicks = 7
const uint16_t | kJvcZeroSpace = kJvcZeroSpaceTicks * kJvcTick
const uint16_t | kJvcRptLengthTicks = 800
const uint16_t | kJvcRptLength = kJvcRptLengthTicks * kJvcTick
const uint16_t | kJvcMinGapTicks
const uint16_t | kJvcMinGap = kJvcMinGapTicks * kJvcTick

## Detailed Description

Support for JVC protocols. Originally added by Kristian Lauszus Thanks to zenwheel and other people at the original blog post.

See also
  http://www.sbprojects.com/knowledge/ir/jvc.php

## Variable Documentation

## kJvcBitMark

const uint16_t kJvcBitMark = kJvcBitMarkTicks * kJvcTick

## kJvcBitMarkTicks

const uint16_t kJvcBitMarkTicks = 7

## kJvcHdrMark

const uint16_t kJvcHdrMark = kJvcHdrMarkTicks * kJvcTick

## kJvcHdrMarkTicks

const uint16_t kJvcHdrMarkTicks = 112

## kJvcHdrSpace

const uint16_t kJvcHdrSpace = kJvcHdrSpaceTicks * kJvcTick

## kJvcHdrSpaceTicks

const uint16_t kJvcHdrSpaceTicks = 56

## kJvcMinGap

const uint16_t kJvcMinGap = kJvcMinGapTicks * kJvcTick

## kJvcMinGapTicks

const uint16_t kJvcMinGapTicks

Initial value:
=
kJvcRptLengthTicks -
(kJvcHdrMarkTicks + kJvcHdrSpaceTicks +
kJvcBits * (kJvcBitMarkTicks + kJvcOneSpaceTicks) + kJvcBitMarkTicks)

## kJvcOneSpace

const uint16_t kJvcOneSpace = kJvcOneSpaceTicks * kJvcTick

## kJvcOneSpaceTicks

const uint16_t kJvcOneSpaceTicks = 23

## kJvcRptLength

const uint16_t kJvcRptLength = kJvcRptLengthTicks * kJvcTick

## kJvcRptLengthTicks

const uint16_t kJvcRptLengthTicks = 800

## kJvcTick

const uint16_t kJvcTick = 75

## kJvcZeroSpace

const uint16_t kJvcZeroSpace = kJvcZeroSpaceTicks * kJvcTick

## kJvcZeroSpaceTicks

const uint16_t kJvcZeroSpaceTicks = 7

kJvcHdrSpaceTicks
const uint16_t kJvcHdrSpaceTicks
Definition: ir_JVC.cpp:23
kJvcBitMarkTicks
const uint16_t kJvcBitMarkTicks
Definition: ir_JVC.cpp:25
kJvcBits
const uint16_t kJvcBits
Definition: IRremoteESP8266.h:978
kJvcOneSpaceTicks
const uint16_t kJvcOneSpaceTicks
Definition: ir_JVC.cpp:27
kJvcHdrMarkTicks
const uint16_t kJvcHdrMarkTicks
Definition: ir_JVC.cpp:21
kJvcRptLengthTicks
const uint16_t kJvcRptLengthTicks
Definition: ir_JVC.cpp:31